Subject: [PATCH] ARM: imx: mach-imx6ul: Fix allmodconfig build

From: [email-masked] (Shawn Guo)
Date: Thu, 20 Aug 2015 16:57:08 +0800

On Wed, Aug 19, 2015 at 03:31:30PM -0300, Fabio Estevam wrote:
> From: Fabio Estevam <[email-masked]>
> 
> We should call phy_register_fixup_for_uid() only when CONFIG_PHYLIB
> is built-in, otherwise we get the following link error when building
> allmodconfig:
> 
> arch/arm/mach-imx/built-in.o: In function `imx6ul_init_machine':
> :(.init.text+0xa714): undefined reference to `phy_register_fixup_for_uid'
> 
> This is the same approach done in mach-imx6q.c and mach-imx6sx.c.
> 
> Reported-by: Olof Johansson <[email-masked]>
> Signed-off-by: Fabio Estevam <[email-masked]>

Thanks, Fabio.

Acked-by: Shawn Guo <[email-masked]>

Olof,

I suppose that you will pick up the fix directly.  Let me know if you
think differently.  Thanks.

Shawn